Page MenuHomePhabricator

quibble-vendor-selenium-docker CI builds broken for Wikibase
Closed, ResolvedPublic

Description

quibble-vendor-selenium-docker has been consistently failing since 7:24 UTC today (#6196); the last successful build was 2:52 UTC today (#6195). All affected builds seem to belong to the mediawiki/extensions/Wikibase project, though I’m not sure if this is because no one else has needed a build yet or because no other extension uses this job. (Wikibase uses it for both test and gate-and-submit, so this currently blocks Wikibase merges.)

The errors always seem to be similar:

…
08:30:48 INFO:backend.DevWebServer:[Fri Mar 27 07:30:48 2020] 127.0.0.1:58372 [200]: /api.php
08:30:48 INFO:backend.DevWebServer:[Fri Mar 27 07:30:48 2020] 127.0.0.1:58374 [302]: /index.php?title=BeforeEach-name-0.018402745643243845-I%C3%B1t%C3%ABrn%C3%A2ti%C3%B4n%C3%A0liz%C3%A6ti%C3%B8n&action=submit
08:30:48 INFO:backend.DevWebServer:[Fri Mar 27 07:30:48 2020] 127.0.0.1:58376 [200]: /index.php/BeforeEach-name-0.018402745643243845-I%C3%B1t%C3%ABrn%C3%A2ti%C3%B4n%C3%A0liz%C3%A6ti%C3%B8n
08:30:48 [0-1] 
08:30:48 	Video location: /workspace/log/Page-should-be-creatable.mp4 
08:30:48 
08:30:48 [0-1] 	ffmpeg exited with code 255 /workspace/log/Page-should-be-creatable.mp4
08:30:48 INFO:backend.DevWebServer:[Fri Mar 27 07:30:48 2020] 127.0.0.1:58390 [200]: //api.php?format=json
08:30:49 INFO:backend.DevWebServer:[Fri Mar 27 07:30:49 2020] 127.0.0.1:58392 [200]: //index.php?action=edit&vehidebetadialog=1&hidewelcomedialog=1&title=BeforeEach-name-0.4907293959673391-I%C3%B1t%C3%ABrn%C3%A2ti%C3%B4n%C3%A0liz%C3%A6ti%C3%B8n
08:30:49 [0-1] 
08:30:49 	Video location: /workspace/log/Page-should-be-previewable.mp4 
08:30:49 
08:30:49 [0-1] 	ffmpeg exited with code 255 /workspace/log/Page-should-be-previewable.mp4
08:30:49 INFO:backend.DevWebServer:[Fri Mar 27 07:30:49 2020] 127.0.0.1:58398 [200]: /api.php
08:30:49 INFO:backend.DevWebServer:[Fri Mar 27 07:30:49 2020] 127.0.0.1:58400 [200]: /api.php
08:30:49 INFO:backend.DevWebServer:[Fri Mar 27 07:30:49 2020] 127.0.0.1:58402 [302]: /index.php?title=BeforeEach-name-0.4907293959673391-I%C3%B1t%C3%ABrn%C3%A2ti%C3%B4n%C3%A0liz%C3%A6ti%C3%B8n&action=submit
08:30:49 INFO:backend.DevWebServer:[Fri Mar 27 07:30:49 2020] 127.0.0.1:58404 [200]: /index.php?title=BeforeEach-name-0.4907293959673391-I%C3%B1t%C3%ABrn%C3%A2ti%C3%B4n%C3%A0liz%C3%A6ti%C3%B8n&stable=0
08:30:50 INFO:backend.DevWebServer:[Fri Mar 27 07:30:50 2020] 127.0.0.1:58418 [200]: //api.php?format=json
08:30:50 INFO:backend.DevWebServer:[Fri Mar 27 07:30:50 2020] PHP Warning:  Parameter 1 to FlaggedRevsUIHooks::addToHistView() expected to be a reference, value given in /workspace/src/includes/Hooks.php on line 174
08:30:50 INFO:backend.DevWebServer:[Fri Mar 27 07:30:50 2020] 127.0.0.1:58420 [200]: //index.php?action=history&title=BeforeEach-name-0.737587580245509-I%C3%B1t%C3%ABrn%C3%A2ti%C3%B4n%C3%A0liz%C3%A6ti%C3%B8n
08:30:51 [0-1] 
08:30:51 	Video location: /workspace/log/Page-should-be-re-creatable.mp4 
08:30:51 
08:30:51 [0-1] 	ffmpeg exited with code 255 /workspace/log/Page-should-be-re-creatable.mp4
08:30:52 [0-1] 
08:30:52 	Video location: /workspace/log/Page-should-be-editable-%40daily.mp4 
08:30:52 
08:30:52 [0-1] 	ffmpeg exited with code 255 /workspace/log/Page-should-be-editable-%40daily.mp4
08:31:50 [0-1] Error in "Page should have history @daily"
08:31:50 Timeout of 60000ms exceeded. For async tests and hooks, ensure "done()" is called; if returning a Promise, ensure it resolves. (/workspace/src/tests/selenium/specs/page.js)
08:31:50 [0-1] 
08:31:50 	Video location: /workspace/log/Page-should-have-history-%40daily.mp4 
08:31:50 
08:31:50 [0-1] 	ffmpeg exited with code 255 /workspace/log/Page-should-have-history-%40daily.mp4
08:32:50 [0-1] Error in ""after each" hook for "should have history @daily""
08:32:50 Timeout of 60000ms exceeded. For async tests and hooks, ensure "done()" is called; if returning a Promise, ensure it resolves.
08:35:50 WARNING:backend.ChromeWebDriver:[1585294550.353][SEVERE]: Timed out receiving message from renderer: 299.857
08:35:50 WARNING:backend.ChromeWebDriver:[1585294550.357][SEVERE]: Timed out receiving message from renderer: -0.005
08:40:50 WARNING:backend.ChromeWebDriver:[1585294850.367][SEVERE]: Timed out receiving message from renderer: 300.000
08:40:51 WARNING:backend.ChromeWebDriver:[1585294850.373][SEVERE]: Timed out receiving message from renderer: -0.007
08:40:51 [0-1] 2020-03-27T07:40:50.470Z ERROR webdriver: Request failed due to Error: invalid session id
08:40:51   (Driver info: chromedriver=73.0.3683.75,platform=Linux 4.9.0-11-amd64 x86_64)
08:40:51     at getErrorFromResponseBody (/workspace/src/node_modules/webdriver/build/utils.js:175:10)
08:40:51     at Request._callback (/workspace/src/node_modules/webdriver/build/request.js:110:64)
08:40:51     at Request.self.callback (/workspace/src/node_modules/request/request.js:185:22)
08:40:51     at Request.emit (events.js:189:13)
08:40:51     at Request.EventEmitter.emit (domain.js:441:20)
08:40:51     at Request.<anonymous> (/workspace/src/node_modules/request/request.js:1161:10)
08:40:51     at Request.emit (events.js:189:13)
08:40:51     at Request.EventEmitter.emit (domain.js:441:20)
08:40:51     at IncomingMessage.<anonymous> (/workspace/src/node_modules/request/request.js:1083:12)
08:40:51     at Object.onceWrapper (events.js:277:13)
08:40:51     at IncomingMessage.emit (events.js:194:15)
08:40:51     at IncomingMessage.EventEmitter.emit (domain.js:441:20)
08:40:51     at endReadableNT (_stream_readable.js:1103:12)
08:40:51     at process._tickCallback (internal/process/next_tick.js:63:19)
08:40:51 [0-1] 2020-03-27T07:40:50.475Z ERROR webdriver: Request failed due to Error: invalid session id
08:40:51   (Driver info: chromedriver=73.0.3683.75,platform=Linux 4.9.0-11-amd64 x86_64)
08:40:51     at getErrorFromResponseBody (/workspace/src/node_modules/webdriver/build/utils.js:175:10)
08:40:51     at Request._callback (/workspace/src/node_modules/webdriver/build/request.js:110:64)
08:40:51     at Request.self.callback (/workspace/src/node_modules/request/request.js:185:22)
08:40:51     at Request.emit (events.js:189:13)
08:40:51     at Request.EventEmitter.emit (domain.js:441:20)
08:40:51     at Request.<anonymous> (/workspace/src/node_modules/request/request.js:1161:10)
08:40:51     at Request.emit (events.js:189:13)
08:40:51     at Request.EventEmitter.emit (domain.js:441:20)
08:40:51     at IncomingMessage.<anonymous> (/workspace/src/node_modules/request/request.js:1083:12)
08:40:51     at Object.onceWrapper (events.js:277:13)
08:40:51     at IncomingMessage.emit (events.js:194:15)
08:40:51     at IncomingMessage.EventEmitter.emit (domain.js:441:20)
08:40:51     at endReadableNT (_stream_readable.js:1103:12)
08:40:51     at process._tickCallback (internal/process/next_tick.js:63:19)
08:40:51 [0-1] 2020-03-27T07:40:50.476Z ERROR @wdio/sync: Error: invalid session id
08:40:51   (Driver info: chromedriver=73.0.3683.75,platform=Linux 4.9.0-11-amd64 x86_64)
08:40:51     at endReadableNT (_stream_readable.js:1103:12)
08:40:51     at Object.afterTest (/workspace/src/tests/selenium/wdio.conf.js:169:11)
08:40:51 [0-1] FAILED in chrome - /tests/selenium/specs/page.js
08:40:51 [0-2] RUNNING in chrome - /tests/selenium/specs/rollback.js
…
08:41:15 [0-5] PASSED in chrome - /tests/selenium/specs/user.js
08:41:16 
08:41:16  "dot" Reporter:
08:41:16 .....FF...........
08:41:16 
08:41:16 Spec Files:	 5 passed, 1 failed, 6 total (100% completed) in 00:10:38 
08:41:16 
08:41:16 npm ERR! code ELIFECYCLE
08:41:16 npm ERR! errno 1
08:41:16 npm ERR! @ selenium-test: `wdio ./tests/selenium/wdio.conf.js`
08:41:16 npm ERR! Exit status 1
…

As far as I can tell, those are MediaWiki core browser tests failing (tests/selenium/specs/page.js), not Wikibase tests.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 27 2020, 11:53 AM
Lucas_Werkmeister_WMDE triaged this task as High priority.Mar 27 2020, 11:54 AM
Lucas_Werkmeister_WMDE updated the task description. (Show Details)
Lucas_Werkmeister_WMDE updated the task description. (Show Details)
Ladsgroup raised the priority of this task from High to Unbreak Now!.Mar 27 2020, 11:57 AM
Ladsgroup added a subscriber: Ladsgroup.

Blocking Wikibase merges = UBN

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptMar 27 2020, 11:57 AM

I briefly looked through the MediaWiki and Wikibase git logs but didn’t see anything particularly suspicious in that timeframe.

I think I saw a very similar error yesterday, but back then it didn’t happen every time.

Debug log for the request:

Start request GET /index.php?action=history&title=BeforeEach-name-0.737587580245509-I%C3%B1t%C3%ABrn%C3%A2ti%C3%B4n%C3%A0liz%C3%A6ti%C3%B8n
HTTP HEADERS:
HOST: 127.0.0.1:9412
CONNECTION: keep-alive
UPGRADE-INSECURE-REQUESTS: 1
USER-AGENT: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/73.0.3683.75 Safari/537.36
ACCEPT: text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,image/apng,*/*;q=0.8
ACCEPT-ENCODING: gzip, deflate, br
ACCEPT-LANGUAGE: en-US,en;q=0.9
[Wikibase] Wikibase\Lib\SettingsArray::getSetting: setting conceptBaseUri was given as a closure, resolve it to 'http://127.0.0.1:9412/entity/'
[localisation] LocalisationCache using store LCStoreStaticArray
[session] SessionManager using store APCUBagOStuff
[session] CentralAuthSessionProvider::provideSessionInfo: Not enabled, falling back to core sessions
[session] SessionBackend "s2v0mrmtcp8c911cq86l0ab2igc4l0jt" is unsaved, marking dirty in constructor
[session] SessionBackend "s2v0mrmtcp8c911cq86l0ab2igc4l0jt" save: dataDirty=1 metaDirty=1 forcePersist=0
[cookie] already deleted setcookie: "wikidb_session", "", "1553758250", "/", "", "", "1"
[cookie] already deleted setcookie: "wikidbUserID", "", "1553758250", "/", "", "", "1"
[cookie] already deleted setcookie: "wikidbToken", "", "1553758250", "/", "", "", "1"
[cookie] already deleted setcookie: "forceHTTPS", "", "1553758250", "/", "", "", "1"
[Wikibase] Wikibase\Lib\SettingsArray::getSetting: setting thisWikiIsTheRepo was given as a closure, resolve it to true
[Wikibase] Wikibase\Lib\SettingsArray::getSetting: setting repoUrl was given as a closure, resolve it to 'http://127.0.0.1:9412'
[Wikibase] Wikibase\Lib\SettingsArray::getSetting: setting repositories was given as a closure, resolve it to array (
  '' => 
  array (
    'repoDatabase' => false,
    'baseUri' => 'http://127.0.0.1:9412/entity/',
    'entityNamespaces' => 
    array (
      'item' => 120,
      'property' => 122,
      'lexeme' => 146,
      'mediainfo' => '6/mediainfo',
    ),
    'prefixMapping' => 
    array (
      '' => '',
    ),
  ),
)
[EventLogging] wgEventLoggingBaseUri has not been configured.
[DBQuery] Wikimedia\Rdbms\DatabaseMysqlBase::open [0s] localhost:/workspace/db/quibble-mysql-7t418xlb/socket: SET group_concat_max_len = 262144, sql_mode = 'TRADITIONAL'
[DBReplication] Cannot use ChronologyProtector with EmptyBagOStuff
[DBReplication] Wikimedia\Rdbms\LBFactory::getChronologyProtector: request info {
    "IPAddress": "127.0.0.1",
    "UserAgent": "Mozilla\/5.0 (X11; Linux x86_64) AppleWebKit\/537.36 (KHTML, like Gecko) Chrome\/73.0.3683.75 Safari\/537.36",
    "ChronologyProtection": false,
    "ChronologyPositionIndex": 0,
    "ChronologyClientId": false
}
[DBConnection] Wikimedia\Rdbms\LoadBalancer::lazyLoadReplicationPositions: executed chronology callback.
[DBConnection] Wikimedia\Rdbms\LoadBalancer::getLocalConnection: opened new connection for 0
[DBQuery] Wikimedia\Rdbms\Database::beginIfImplied (WikiPage::pageData) [0s] localhost:/workspace/db/quibble-mysql-7t418xlb/socket: BEGIN
[DBQuery] WikiPage::pageData [0s] localhost:/workspace/db/quibble-mysql-7t418xlb/socket: SELECT  page_id,page_namespace,page_title,page_restrictions,page_is_redirect,page_is_new,page_random,page_touched,page_links_updated,page_latest,page_len,page_content_model  FROM `page`    WHERE page_namespace = 0 AND page_title = 'BeforeEach-name-0.737587580245509-Iñtërnâtiônàlizætiøn'  LIMIT 1  
[DBQuery] Title::loadRestrictions [0s] localhost:/workspace/db/quibble-mysql-7t418xlb/socket: SELECT  pr_type,pr_expiry,pr_level,pr_cascade  FROM `page_restrictions`    WHERE pr_page = 60  
Title::getRestrictionTypes: applicable restrictions to [[BeforeEach-name-0.737587580245509-Iñtërnâtiônàlizætiøn]] are {edit,move}
[MediaWiki\Content\ContentHandlerFactory::getContentHandler] Registered handler for wikitext: WikitextContentHandler
[MessageCache] MessageCache using store APCUBagOStuff
[MessageCache] MessageCache::load: Loading en... local cache is empty, got from global cache
ParserFactory: using default preprocessor
[Wikibase] Wikibase\Lib\SettingsArray::getSetting: setting thisWikiIsTheRepo was given as a closure, resolve it to true
[Wikibase] Wikibase\Lib\SettingsArray::getSetting: setting repoUrl was given as a closure, resolve it to 'http://127.0.0.1:9412'
[Wikibase] Wikibase\Lib\SettingsArray::getSetting: setting repositories was given as a closure, resolve it to array (
  '' => 
  array (
    'repoDatabase' => false,
    'baseUri' => 'http://127.0.0.1:9412/entity/',
    'entityNamespaces' => 
    array (
      'item' => 120,
      'property' => 122,
      'lexeme' => 146,
      'mediainfo' => '6/mediainfo',
    ),
    'prefixMapping' => 
    array (
      '' => '',
    ),
  ),
)
Unstubbing $wgLang on call of $wgLang::_unstub from ParserOptions->__construct
[Wikibase] Wikibase\Lib\SettingsArray::getSetting: setting siteGlobalID was given as a closure, resolve it to 'wikidb'
OutputPage::checkLastModified: client did not send If-Modified-Since header
[DBQuery] LinkCache::fetchPageRow [0.001s] localhost:/workspace/db/quibble-mysql-7t418xlb/socket: SELECT  page_id,page_len,page_is_redirect,page_latest,page_restrictions,page_content_model,page_touched  FROM `page`    WHERE page_namespace = 8 AND page_title = 'History-helppage'  LIMIT 1  
[DBQuery] ChangeTags::listExplicitlyDefinedTags [0.001s] localhost:/workspace/db/quibble-mysql-7t418xlb/socket: SELECT  ctd_name AS `value`  FROM `change_tag_def`    WHERE ctd_user_defined = 1  
[DBQuery] AbuseFilterHooks::fetchAllTags [0s] localhost:/workspace/db/quibble-mysql-7t418xlb/socket: SELECT  afa_parameters  FROM `abuse_filter_action` INNER JOIN `abuse_filter` ON ((afa_filter=af_id))   WHERE afa_consequence = 'tag' AND af_deleted = 0  
ContextSource::getContext (FlaggablePageView): called and $context is null. Using RequestContext::getMain() for sanity
[DBQuery] FlaggableWikiPage::pageData [0.001s] localhost:/workspace/db/quibble-mysql-7t418xlb/socket: SELECT  page_id,page_namespace,page_title,page_restrictions,page_is_redirect,page_is_new,page_random,page_touched,page_links_updated,page_latest,page_len,page_content_model,fpc_override,fpc_level,fpc_expiry,fp_pending_since,fp_stable,fp_reviewed  FROM `page` LEFT JOIN `flaggedpages` ON ((fp_page_id = page_id)) LEFT JOIN `flaggedpage_config` ON ((fpc_page_id = page_id))   WHERE page_namespace = 0 AND page_title = 'BeforeEach-name-0.737587580245509-Iñtërnâtiônàlizætiøn'  LIMIT 1  
[DBQuery] FlaggedRevision::newFromTitle [0s] localhost:/workspace/db/quibble-mysql-7t418xlb/socket: SELECT  rev_id,rev_page,rev_timestamp,rev_minor_edit,rev_deleted,rev_len,rev_parent_id,rev_sha1,comment_rev_comment.comment_text AS `rev_comment_text`,comment_rev_comment.comment_data AS `rev_comment_data`,comment_rev_comment.comment_id AS `rev_comment_cid`,actor_rev_user.actor_user AS `rev_user`,actor_rev_user.actor_name AS `rev_user_text`,temp_rev_user.revactor_actor AS `rev_actor`,fr_rev_id,fr_page_id,fr_rev_timestamp,fr_user,fr_timestamp,fr_quality,fr_tags,fr_flags,fr_img_name,fr_img_sha1,fr_img_timestamp  FROM `flaggedrevs` JOIN `revision` ON ((rev_id = fr_rev_id) AND (rev_page = fr_page_id)) JOIN `revision_comment_temp` `temp_rev_comment` ON ((temp_rev_comment.revcomment_rev = rev_id)) JOIN `comment` `comment_rev_comment` ON ((comment_rev_comment.comment_id = temp_rev_comment.revcomment_comment_id)) JOIN `revision_actor_temp` `temp_rev_user` ON ((temp_rev_user.revactor_rev = rev_id)) JOIN `actor` `actor_rev_user` ON ((actor_rev_user.actor_id = temp_rev_user.revactor_actor))   WHERE fr_page_id = 60 AND fr_rev_id = 72 AND ((rev_deleted & 1) = 0)  LIMIT 1  
[DBQuery] IndexPager::buildQueryInfo (history page unfiltered) [0.001s] localhost:/workspace/db/quibble-mysql-7t418xlb/socket: SELECT  rev_id,rev_page,rev_timestamp,rev_minor_edit,rev_deleted,rev_len,rev_parent_id,rev_sha1,comment_rev_comment.comment_text AS `rev_comment_text`,comment_rev_comment.comment_data AS `rev_comment_data`,comment_rev_comment.comment_id AS `rev_comment_cid`,actor_rev_user.actor_user AS `rev_user`,actor_rev_user.actor_name AS `rev_user_text`,temp_rev_user.revactor_actor AS `rev_actor`,user_name,(SELECT  GROUP_CONCAT(ctd_name SEPARATOR ',')  FROM `change_tag` JOIN `change_tag_def` ON ((ct_tag_id=ctd_id))   WHERE ct_rev_id=rev_id  ) AS `ts_tags`,fr_quality,fr_user,fr_flags  FROM `revision` FORCE INDEX (page_timestamp) JOIN `revision_comment_temp` `temp_rev_comment` ON ((temp_rev_comment.revcomment_rev = rev_id)) JOIN `comment` `comment_rev_comment` ON ((comment_rev_comment.comment_id = temp_rev_comment.revcomment_comment_id)) JOIN `revision_actor_temp` `temp_rev_user` ON ((temp_rev_user.revactor_rev = rev_id)) JOIN `actor` `actor_rev_user` ON ((actor_rev_user.actor_id = temp_rev_user.revactor_actor)) LEFT JOIN `user` ON ((actor_rev_user.actor_user != 0) AND (user_id = actor_rev_user.actor_user)) LEFT JOIN `flaggedrevs` ON ((fr_rev_id = rev_id))   WHERE rev_page = 60  ORDER BY rev_timestamp DESC LIMIT 51  
[DBQuery] LinkBatch::doQuery [0s] localhost:/workspace/db/quibble-mysql-7t418xlb/socket: SELECT  page_id,page_len,page_is_redirect,page_latest,page_restrictions,page_content_model,page_namespace,page_title  FROM `page`    WHERE (page_namespace = 2 AND page_title = 'WikiAdmin') OR (page_namespace = 3 AND page_title = 'WikiAdmin')  
[Wikibase] Wikibase\Lib\SettingsArray::getSetting: setting dataRightsUrl was given as a closure, resolve it to ''
[Wikibase] Wikibase\Lib\SettingsArray::getSetting: setting dataRightsText was given as a closure, resolve it to ''
[DBQuery] Title::newFromID [0s] localhost:/workspace/db/quibble-mysql-7t418xlb/socket: SELECT  page_namespace,page_title,page_id,page_len,page_is_redirect,page_latest,page_content_model  FROM `page`    WHERE page_id = '60'  LIMIT 1  
UserCache::getProp: querying DB for prop 'name' for user ID '1'.
[DBQuery] UserCache::doQuery [0s] localhost:/workspace/db/quibble-mysql-7t418xlb/socket: SELECT  user_name,user_real_name,user_registration,user_id,actor_id  FROM `user` JOIN `actor` ON ((actor_user = user_id))   WHERE user_id = 1  
[DBQuery] MediaWiki::preOutputCommit [0s] localhost:/workspace/db/quibble-mysql-7t418xlb/socket: COMMIT
MediaWiki::preOutputCommit: primary transaction round committed
MediaWiki::preOutputCommit: pre-send deferred updates completed
MediaWiki::preOutputCommit: session changes committed
MediaWiki::preOutputCommit: LBFactory shutdown completed
OutputPage::haveCacheVaryCookies: no cache-varying cookies found
[DBQuery] Wikimedia\Rdbms\Database::beginIfImplied (LinkBatch::doQuery (for Skin::preloadExistence)) [0s] localhost:/workspace/db/quibble-mysql-7t418xlb/socket: BEGIN
[DBQuery] LinkBatch::doQuery (for Skin::preloadExistence) [0.001s] localhost:/workspace/db/quibble-mysql-7t418xlb/socket: SELECT  page_id,page_len,page_is_redirect,page_latest,page_restrictions,page_content_model,page_namespace,page_title  FROM `page`    WHERE (page_namespace = 1 AND page_title = 'BeforeEach-name-0.737587580245509-Iñtërnâtiônàlizætiøn') OR (page_namespace = 4 AND page_title IN ('Privacy_policy','About','General_disclaimer') )  
[DBQuery] User::checkNewtalk [0s] localhost:/workspace/db/quibble-mysql-7t418xlb/socket: SELECT  user_ip  FROM `user_newtalk`    WHERE user_ip = '127.0.0.1'  LIMIT 1  
[DBQuery] FlaggedRevision::findPendingTemplateChanges [0s] localhost:/workspace/db/quibble-mysql-7t418xlb/socket: SELECT  tl_namespace,tl_title,fp_stable,ft_tmp_rev_id,page_latest  FROM `templatelinks` LEFT JOIN `flaggedtemplates` ON (ft_rev_id = 72 AND (ft_namespace = tl_namespace AND ft_title = tl_title)) LEFT JOIN `page` ON ((page_namespace = tl_namespace AND page_title = tl_title)) LEFT JOIN `flaggedpages` ON ((fp_page_id = page_id))   WHERE tl_from = 60 AND (ft_title IS NOT NULL OR fp_stable IS NOT NULL)  
[DBQuery] FlaggedRevision::findPendingFileChanges [0s] localhost:/workspace/db/quibble-mysql-7t418xlb/socket: SELECT  il_to,fi_img_timestamp,fr_img_timestamp  FROM `imagelinks` LEFT JOIN `flaggedimages` ON (fi_rev_id = 72 AND (fi_name = il_to)) LEFT JOIN `page` ON ((page_namespace = 6 AND page_title = il_to)) LEFT JOIN `flaggedpages` ON ((fp_page_id = page_id)) LEFT JOIN `flaggedrevs` ON ((fr_rev_id = fp_stable))   WHERE il_from = 60 AND (fi_name IS NOT NULL OR fr_img_timestamp IS NOT NULL)  
Title::getRestrictionTypes: applicable restrictions to [[BeforeEach-name-0.737587580245509-Iñtërnâtiônàlizætiøn]] are {edit,move}
[Wikibase] Wikibase\Lib\SettingsArray::getSetting: setting repoArticlePath was given as a closure, resolve it to '/index.php/$1'
[Wikibase] Wikibase\Lib\SettingsArray::getSetting: setting repoScriptPath was given as a closure, resolve it to ''
[Wikibase] Wikibase\Lib\SettingsArray::getSetting: setting siteGroup was given as a closure, resolve it to NULL
[DBQuery] Wikibase\Client\Store\Sql\PagePropsEntityIdLookup::getEntityIds [0s] localhost:/workspace/db/quibble-mysql-7t418xlb/socket: SELECT  pp_page,pp_value  FROM `page_props`    WHERE pp_page = 60 AND pp_propname = 'wikibase_item'  
OutputPage::sendCacheControl: private caching; Fri, 27 Mar 2020 07:30:50 GMT **
wfClientAcceptsGzip: client accepts gzip.
MediaWiki\OutputHandler::handleGzip() is compressing output
[DBQuery] MediaWiki::restInPeace [0s] localhost:/workspace/db/quibble-mysql-7t418xlb/socket: COMMIT
[DBQuery] Wikimedia\Rdbms\DatabaseMysqlBase::open [0s] localhost:/workspace/db/quibble-mysql-7t418xlb/socket: SET group_concat_max_len = 262144, sql_mode = 'TRADITIONAL'
[DBConnection] Wikimedia\Rdbms\LoadBalancer::getLocalConnection: opened new connection for 0
[DBQuery] JobQueueDB::doGetSiblingQueuesWithJobs [0.002s] localhost:/workspace/db/quibble-mysql-7t418xlb/socket: SELECT  DISTINCT job_cmd  FROM `job`    WHERE job_cmd IN ('updateBetaFeaturesUserCounts','crosswikiSuppressUser','LocalRenameUserJob','LocalUserMergeJob','LocalPageMoveJob','CentralAuthCreateLocalAccountJob','CentralAuthUnattachUserJob','cirrusSearchDeletePages','cirrusSearchIncomingLinkCount','cirrusSearchLinksUpdate','cirrusSearchLinksUpdatePrioritized','cirrusSearchMassIndex','cirrusSearchOtherIndex','cirrusSearchElasticaWrite','cirrusSearchCheckerJob','cirrusSearchDeleteArchive','EchoNotificationJob','EchoNotificationDeleteJob','flaggedrevs_CacheUpdate','createPdfThumbnailsJob','renameUser','CleanTermsIfUnused','UpdateRepoOnMove','UpdateRepoOnDelete','constraintsTableUpdate','constraintsRunCheck','deletePage','refreshLinks','deleteLinks','htmlCacheUpdate','sendMail','enotifNotify','fixDoubleRedirect','AssembleUploadChunks','PublishStashedFile','ThumbnailRender','recentChangesUpdate','refreshLinksPrioritized','refreshLinksDynamic','activityUpdateJob','categoryMembershipChange','clearUserWatchlist','watchlistExpiry','cdnPurge','userGroupExpiry','clearWatchlistNotifications','userOptionsUpdate','enqueue','null','wikibase-addUsagesForPage','ChangeNotification','wikibase-InjectRCRecords','webVideoTranscode','webVideoTranscodePrioritized')   
[DBQuery] JobQueueDB::claimRandom [0.001s] localhost:/workspace/db/quibble-mysql-7t418xlb/socket: SELECT  job_id,job_cmd,job_namespace,job_title,job_timestamp,job_params,job_random,job_attempts,job_token,job_token_timestamp,job_sha1  FROM `job`    WHERE job_cmd = 'cirrusSearchLinksUpdatePrioritized' AND job_token = '' AND (job_random >= 1379714096)  ORDER BY job_random ASC LIMIT 1  
[DBQuery] JobQueueDB::claimRandom [0.007s] localhost:/workspace/db/quibble-mysql-7t418xlb/socket: UPDATE  `job` SET job_token = 'f77ba549ea506a513d39e875a496ef49',job_token_timestamp = '20200327073050',job_attempts = job_attempts+1 WHERE job_cmd = 'cirrusSearchLinksUpdatePrioritized' AND job_id = '62' AND job_token = ''
[runJobs] cirrusSearchLinksUpdatePrioritized Property:P4 addedLinks=[] removedLinks=[] prioritize=1 cluster= namespace=122 title=P4 requestId=3ef5b1e7428742850fbd834a (id=62,timestamp=20200327072930) STARTING
[runJobs] cirrusSearchLinksUpdatePrioritized Property:P4 addedLinks=[] removedLinks=[] prioritize=1 cluster= namespace=122 title=P4 requestId=3ef5b1e7428742850fbd834a (id=62,timestamp=20200327072930) t=0 good
[DBQuery] JobQueueDB::doAck [0s] localhost:/workspace/db/quibble-mysql-7t418xlb/socket: DELETE FROM `job` WHERE job_cmd = 'cirrusSearchLinksUpdatePrioritized' AND job_id = '62'
Request ended normally
[session] Saving all sessions on shutdown
[DBConnection] Wikimedia\Rdbms\LBFactory::destroy: closing connection to database 'localhost:/workspace/db/quibble-mysql-7t418xlb/socket'.
[DBConnection] Wikimedia\Rdbms\LBFactory::destroy: closing connection to database 'localhost:/workspace/db/quibble-mysql-7t418xlb/socket'.
[SQLBagOStuff] MainObjectStash using store ReplicatedBagOStuff

Nothing out of oridnary jumps out. Maybe I'm missing something obvious.

Also affects quibble-composer-mysql-php72-docker for WikibaseQualityConstraints (#13170), making this a shared build failure.

Since this is related to the history action, could it have something to do with the recent work around actions and Page/WikiPage/Article (T239975)? That’s been working with some Action things recently, I believe. CC @Art-Baltai and @Pchelolo.

Change 583938 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/core@master] DNM: Revert "Remove direct access to Action::page and Article::page properties"

https://gerrit.wikimedia.org/r/583938

Change 583939 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/Wikibase@master] DNM: test

https://gerrit.wikimedia.org/r/583939

It looks like reverting Id0d4d1e099 fixes the issue – see the two changes above (the Wikibase change depends on the revert).

Change 583946 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/core@master] Reintroduce accidentally dropped referenceness

https://gerrit.wikimedia.org/r/583946

Change 583946 merged by jenkins-bot:
[mediawiki/core@master] Reintroduce accidentally dropped referenceness

https://gerrit.wikimedia.org/r/583946

Change 583938 abandoned by Lucas Werkmeister (WMDE):
Revert "Remove direct access to Action::page and Article::page properties"

Reason:
T248672 was resolved with I6a82b2e2c1 instead

https://gerrit.wikimedia.org/r/583938

Change 583939 abandoned by Lucas Werkmeister (WMDE):
DNM: test

Reason:
no longer needed

https://gerrit.wikimedia.org/r/583939